### Class

# Phosh Proximity

since: 0

#### Description [src]

    final class Phosh.Proximity : GObject.Object
    {
      /* No available fields */
    }

Proximity sensor handling

`PhoshProximity` handles enabling and disabling the proximity detection based on e.g. active calls.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_proximity_new

No description available.

since: 0

#### Instance methods

###### phosh_proximity_has_fader

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.Proximity:calls-manager

No description available.

since: 0

###### Phosh.Proximity:fader

No description available.

since: 0

###### Phosh.Proximity:sensor-proxy-manager

No description available.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshProximityClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.